%define ocamlpck  ppxlib

Name:          ocaml-ppxlib
Version:       0.29.1
Release:       1mamba
Summary:       Base library and tools for ppx rewriters
Group:         System/Libraries/OCaml
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/ocaml-ppx/ppxlib
Source:        https://github.com/ocaml-ppx/ppxlib.git/%{version}/ppxlib-%{version}.tar.bz2
License:       MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: ocaml
BuildRequires: ocaml-compiler-libs
BuildRequires: ocaml-compiler-libs-repackaged
BuildRequires: ocaml-ppx_derivers-devel
BuildRequires: ocaml-runtime
BuildRequires: ocaml-sexplib0-devel
BuildRequires: ocamlnet-devel
## AUTOBUILDREQ-END
BuildRequires: ocaml
BuildRequires: ocaml-camlp4-devel
BuildRequires: ocaml-findlib
BuildRequires: dune
BuildRequires: ocaml-sexplib0-devel
BuildRequires: ocaml-compiler-libs-repackaged
BuildRequires: ocaml-stdlib-shims-devel
BuildRequires: ocaml-ppx_derivers-devel
Requires:      ocaml-runtime

%description
Base library and tools for ppx rewriters.

%package devel
Group:         Development/Libraries/OCaml
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
This package contains libraries and signature files for developing applications that use %{name}.

%debug_package

%prep
%setup -q -n ppxlib-%{version}

%build
dune build --release --verbose

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
DESTDIR=%{buildroot} dune install --prefix "/usr" --libdir "%{_lib}/ocaml"

rm -rf %{buildroot}/usr/doc

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%dir %{_libdir}/ocaml/%{ocamlpck}
%{_libdir}/ocaml/%{ocamlpck}/*
%dir %{_libdir}/ocaml/ppxlib-bench
%{_libdir}/ocaml/ppxlib-bench/*
%exclude %{_libdir}/ocaml/%{ocamlpck}/*.a
%exclude %{_libdir}/ocaml/%{ocamlpck}/*.cmx
%exclude %{_libdir}/ocaml/%{ocamlpck}/*.cmxa
%exclude %{_libdir}/ocaml/%{ocamlpck}/*.mli
#%{_libdir}/ocaml/stublibs/*.so*
%doc LICENSE.md

%files devel
%defattr(-,root,root)
%{_libdir}/ocaml/%{ocamlpck}/*.a
%{_libdir}/ocaml/%{ocamlpck}/*.cmx
%{_libdir}/ocaml/%{ocamlpck}/*.cmxa
%{_libdir}/ocaml/%{ocamlpck}/*.mli
%doc CHANGES.md README.md

%changelog
* Thu Feb 16 2023 Automatic Build System <autodist@mambasoft.it> 0.29.1-1mamba
- automatic version update by autodist

* Sat Feb 11 2023 Automatic Build System <autodist@mambasoft.it> 0.29.0-1mamba
- automatic version update by autodist

* Fri Oct 07 2022 Automatic Build System <autodist@mambasoft.it> 0.28.0-1mamba
- automatic version update by autodist

* Fri Jun 17 2022 Automatic Build System <autodist@mambasoft.it> 0.27.0-1mamba
- automatic version update by autodist

* Wed Mar 23 2022 Automatic Build System <autodist@mambasoft.it> 0.26.0-1mamba
- automatic version update by autodist

* Tue Mar 08 2022 Automatic Build System <autodist@mambasoft.it> 0.25.0-1mamba
- automatic version update by autodist

* Sat Jan 29 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 0.24.0-1mamba
- package created using the webbuild interface
